Resume a workflow execution from an external link
Server:
https://{kibana_url}
- GET /api/workflows/executions/{executionId}/steps/{stepId}/resume/external
Resume a paused waitForApproval step (pauses the workflow and waits for a human to approve/decline before execution continues) or waitForInput step (passes the expected input values as query parameters in the URL). Returns an HTML confirmation page.
Path Parameters
-
executionIdstring · max: 128required -
Workflow execution ID
-
stepIdstring · max: 128required -
Workflow step execution ID
Query Parameters
-
tokenstring · max: 128required The token created when the workflow execution was paused. Authenticates the request to resume execution.
-
approvedboolean | enum Indicates whether a human reviewer approved the paused step. Required for
waitForApprovalwhen resuming an approval step.-
Values:
truefalse
Response
An HTML confirmation page confirming that the response was received and the workflow execution was resumed.
Response Type: string